program testpixels;

uses crush13h,crt;

var a,x,y,count:integer;
    c:char;

begin
     video_mode ( $13);
     initvirt;

     cls (0,vga);
     cls (1,vp[1]);
     cls (2,vp[2]);
     count:=0;

     repeat

     count:=count+1;
     if count>64000 then count:=0;

     mem[vga:count]:=mem[vp[1]:count]+mem[vp[2]:count];
     waitvbl;

     if keypressed=true then c:=readkey;

     until c=#27;

     closevirt;
     video_mode ( 03);
end.
